> ## Documentation Index
> Fetch the complete documentation index at: https://developer.notchpay.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a transfer



## OpenAPI

````yaml openapi.yaml post /transfers
openapi: 3.1.0
info:
  title: Notch Pay API
  description: API for integrating payment and money transfer services into applications.
  version: 2.1.0
servers:
  - url: https://api.notchpay.co
    description: Production and Sandbox Environment
security: []
paths:
  /transfers:
    post:
      summary: Initiate a transfer
      operationId: initiateTransfer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: number
                  example: 5000
                currency:
                  type: string
                  example: XAF
                channel:
                  type: string
                  example: cm.mtn
                beneficiary:
                  type: string
                  example: ben_123456789
                recipient:
                  type: string
                  example: ben_123456789
                description:
                  type: string
                  example: Paiement de salaire
                reference:
                  type: string
                  example: ref_123456789
              required:
                - amount
                - currency
                - description
              oneOf:
                - required:
                    - beneficiary
                - required:
                    - recipient
                    - channel
      responses:
        '201':
          description: Transfer initialized
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: Accepted
                  message:
                    type: string
                    example: Transfer initialized
                  code:
                    type: integer
                    example: 201
                  transfer: 926ae6f2-fcb7-454e-8ef6-775052438b12
                required:
                  - status
                  - message
                  - code
                  - transfer
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: b29a71d3-4f97-40ed-a676-731aa1fbe742
      security:
        - ApiKeyAuth: []
        - GrantAuth: []
        - SyncAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
    GrantAuth:
      type: apiKey
      in: header
      name: X-Grant
    SyncAuth:
      type: apiKey
      in: header
      name: X-Sync

````